Summary: The GNOME Display Manager.
Name: gdm
Version: 2.2.3.2
Release: 2.1mdk
License: LGPL/GPL
Group: Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gdm/%{name}-%{version}.tar.bz2
Source1: gdm-screen.png

#don't display language menu until we find a correct workaround
Patch56: gdm-nolanguage.patch.bz2

# (Fred C.) support file name a la KDE for faces
Patch68: gdm-2.2.2.1-faces.patch.bz2

# (fc) 2.2.2.1-1mdk change default configuration
Patch70: gdm-default-config.patch.bz2

# (fc) 2.2.2.1-1mdk fix consolehelper config
Patch71: gdm-consolehelper.patch.bz2

# (fc) 2.2.2.1-1mdk don't compile with -g
Patch72: gdm-disable-debug.patch.bz2

# (fc) 2.2.2.1-1mdk fix gdm config file location
Patch73: gdm-configlocation.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: pam >= 0.72-11mdk
Requires: gnome-libs >= 1.0.17 mandrake_desk >= 1.0.4-7
Requires: setup >= 2.1.9-33mdk
Requires: usermode
Requires: cdialog
Requires: drakxtools
PreReq: scrollkeeper
BuildRequires: pam-devel XFree86-devel XFree86-static-libs gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
BuildRequires: db1-devel libglade-devel gdk-pixbuf-devel

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%prep
%setup -q



%patch56 -p1 -b .nolanguage

%patch68 -p1 -b .faces
%patch70 -p1 -b .defaultconf
%patch71 -p1 -b .consolehelper
%patch72 -p1 -b .nodebug
%patch73 -p1 -b .gdmconflocation

#needed by patch 72 & 73
automake

%build


%configure --enable-console-helper

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PAM_PREFIX=$RPM_BUILD_ROOT%{_sysconfdir}

# don't provide PreSession/PostSession, pam handle this
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PreSession/Default
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/PostSession/Default

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/ $RPM_BUILD_ROOT%{_datadir}/hosts
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/pixmaps/

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/gdm
?package(%{name}): \
command="%{_bindir}/gdmconfig" \
icon="gdm.xpm" \
needs="X11" \
section="Configuration/Boot and Init" \
title="GDM Configurator" \
longtitle="A graphical application for configuring the GNOME Display Manager (GDM)"
?package(%{name}): \
command="%{_bindir}/gdmphotosetup" \
icon="gdm.xpm" \
needs="X11" \
section="Configuration/Boot and Init" \
title="GDM Photo Setup" \
longtitle="Setup the picture that will show in the GDM (login manager) face browser"

EOF

%{find_lang} %{name}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi
%{make_session}
%{update_menus}
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%postun
%{make_session}
%{clean_menus}
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/X11/gdm
%{_sysconfdir}/X11/gdm/XKeepsCrashing
%config(noreplace) %{_sysconfdir}/pam.d/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdmconfig
%config(noreplace) %{_sysconfdir}/security/console.apps/gdmconfig
%config(noreplace) %{_sysconfdir}/X11/gdm/gnomerc
%config(noreplace) %{_sysconfdir}/X11/gdm/gdm.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/factory-gdm.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/locale.alias
%dir %{_sysconfdir}/X11/gdm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_datadir}/gdm
%{_menudir}/*
%dir %{_datadir}/hosts
%attr(750, gdm, gdm) %dir %{_localstatedir}/gdm

%changelog
* Mon Aug 20 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.2.3.2-2.1mdk
- security update for 8.0

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-2mdk
- Regenerate patch 68 (was applied at wrong place) 
  => should fix gdm not starting with browser

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.2-1mdk
- Release 2.2.3.2

* Sat Aug 04 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.2.3.1-3mdk
- Updated gdm-default-config.patch (Font setting correction)

* Thu Jul 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.1-2mdk
- Add requires on drakxtools (which will pull XFree86)

* Mon Jul  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3.1-1mdk
- Release 2.2.3.1
- Remove fix for chinese (merged upstream)
- Add gdmphotosetup to menu
- Regenerate patch 73 for gdm-safe-restart

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3
- Regenerate patch 70, 72
- Remove patch 69 

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-4mdk
- Add missing files

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-3mdk
- regenerate patch73: fix gdm-restart script

* Thu Jun  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-2mdk
- regenerate patch70: fix locale dir in gdm config (Thanks to Sebastian Dransfeld)

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2.1-1mdk
- Release 2.2.2.1
- clean specfile
- Regenerate patch 56, 68 & 69 (Vincent Danen)
- Replace source12 by a patch (we now patch default gdm.conf)
- Remove source14 (already in main source)
- Patch70: default configuration for gdm
- Patch71: correct consolhelper config for gdmconfig
- Patch72: don't compile with -g flag
- Patch73: correct gdm.conf location
- Requires scrollkeeper

* Thu Apr  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0-2mdk
- use -deferplyphs 16 to launch X server (Andrew Lee)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Use consolehelper files provided by authors

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.99-1mdk
- Release 2.0.99
- root is no longer displayed in user browser
- No longer create gdm user (done in setup)

* Thu Nov 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0beta4-23mdk
- Chinese fix. (Andrew Lee @ CLE)

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-22mdk
- Really apply faces patch 

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-21mdk
- Correct pam dependancy

* Tue Sep 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-20mdk
- Add apache and zope as non-visible users in browser
- bziped pam file

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0beta4-19mdk
- pam uses pam_stack.

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-18mdk
- New login screen

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-17mdk
- Prevent respawn

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-16mdk
- Check faces with .png extension

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-15mdk
- /var/state -> /var/lib (FHS 2.1)

* Tue Aug 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-14mdk
- Clean spec
- merge from helix (3mdk_helix_2)
- update i18n from cvs
- decompress manual before installing it
- disable language menu
- change location of user icons

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0beta4-13mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-12mdk
- Correct location of icon used by gdm
- use more macros

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-11mdk
- Recompile with new rpm version
- Correct gdm.conf to reflect BM

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 2.0beta4-10mdk
- macrozification.

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0beta4-9mdk
- BM

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-8mdk
- added fndsession call in post/postun

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 2.0beta4-7mdk
- spec. cleanup

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 2.0beta4-6mdk
- bziped source 2 5 11 12.

* Tue Jul  4 2000 dam's <damien@mandrakesoft.com> 2.0beta4-5mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0beta4-4mdk
- Use tmppath macros.
- BuildRequires: pam-devel

* Wed May 17 2000 dam's <damien@mandrakesoft.com> 2.0beta4-3mdk
- corrected exclude list

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 2.0beta4-2mdk
- Changed again background color.

* Fri Apr 21 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta4-1mdk
- release 2.0beta4
- add some nice users and mandrake logo! looks great !
- remove unnecessary patches.

* Sat Apr 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0beta2-11mdk
- fixed gdmlogin bug .
- merge with helix stuffs .
- add /sbin/ldconfig in post to load shared libraries

* Tue Apr 04 2000 dam's <damin@mandrakesoft.com> 2.0beta2-10mdk
- fixed logo & background locations.

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.0beta2-9mdk
- spec-helper issues cleanup
- fixed group

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- remove the Language menu (doesn't work and made gnome fail to load the right font)

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Require mandrake_desk and put a new image at startup.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add a post to make sure Xsession is executable.

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add docs (r)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt for Linux-Mandrake from Redhat spec (13):
	- SMP building
	- bzip2 man/info (don't think it has any (yet)) 

* Fri Sep 26 1999 Elliot Lee <sopwith@redhat.com>
- Fixed pipewrite bug (found by mkj & ewt).
